MantisBT

View Issue Details Jump to Notes ] Issue History ] Print ]
IDProjectCategoryView StatusDate SubmittedLast Update
0002300VCMIOtherpublic2015-10-12 05:482015-10-31 13:23
Reportervmarkovtsev 
Assigned ToSXX 
PriorityhighSeveritymajorReproducibilityhave not tried
StatusresolvedResolutionfixed 
PlatformDarwinOSMacOSXOS Version10.11
Product Version0.98d 
Target VersionFixed in Version0.98e 
Summary0002300: Build is broken
Description1) vcmibuilder is not supposed to work in BSD environment
2) Boost which is installed with Homebrew requires including boost/optional/optional_io.hpp separately -> breaks the build
3) There is a misprint in Global.h, which leads to incorrect system detection (VCMI_HURD vs VCMI_APPLE) -> breaks the build

See my pull request https://github.com/vcmi/vcmi/pull/121 [^] with proper fixes.

Setting high priority and major severity because users are unable to build VCMI because of these.
Steps To Reproducemkdir build
cmake -G "Unix Makefiles" .. -DENABLE_LAUNCHER=OFF -DCMAKE_BUILD_TYPE=Release -Wno-dev
make
TagsNo tags attached.
Attached Files

- Relationships

-  Notes
(0006029)
Warmonger (administrator)
2015-10-25 18:35

Can we close this now?
(0006034)
vmarkovtsev (developer)
2015-10-25 19:20

Yes, merging fixed all of these

- Issue History
Date Modified Username Field Change
2015-10-12 05:48 vmarkovtsev New Issue
2015-10-13 03:56 AVS Assigned To => SXX
2015-10-13 03:56 AVS Status new => assigned
2015-10-25 18:35 Warmonger Note Added: 0006029
2015-10-25 19:20 vmarkovtsev Note Added: 0006034
2015-10-31 13:23 SXX Status assigned => resolved
2015-10-31 13:23 SXX Fixed in Version => 0.98e
2015-10-31 13:23 SXX Resolution open => fixed

Site | Forums | Wiki | Slack | GitHub


Copyright © 2000 - 2018 MantisBT Team
Hosting provided by DigitalOcean